Debian Bug report logs - #697146
xserver-xorg script forces vboxvideo even if virtualbox guest additions are not installed

version graph

Package: live-config; Maintainer for live-config is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-config is src:live-config.

Reported by: Eugenio 'g7' Paolantonio <me@medesimo.eu>

Date: Tue, 1 Jan 2013 23:18:02 UTC

Severity: normal

Tags: patch

Found in version live-config/3.0.15-1

Fixed in versions live-config/3.0.16-1, live-config/4.0~a10-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#697146; Package live-config. (Tue, 01 Jan 2013 23:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugenio 'g7' Paolantonio <me@medesimo.eu>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 01 Jan 2013 23:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eugenio 'g7' Paolantonio <me@medesimo.eu>
To: submit@bugs.debian.org
Subject: xserver-xorg script forces vboxvideo even if virtualbox guest additions are not installed
Date: Wed, 02 Jan 2013 00:14:17 +0100
[Message part 1 (text/plain, inline)]
Package: live-config
Version: 3.0.15-1
Tags: patch

The xserver-xorg script is forcing the 'vboxvideo' driver on virtualbox
even if the guest additions (virtualbox-guest-x11 package) are not
installed. This leads to X not starting on live systems without that
package.

The attached simple patch should resolve the issue (still not tested, I
will do in the coming hours).


Regards,
Eugenio

-- 
.: Eugenio Paolantonio - Semplice Linux developer :.

http://semplice-linux.org
http://medesimo.eu

Twitter: @eugenio_g7 - Homepage: http://me.medesimo.eu
[enable_virtualbox_only_if_guest_additions_are_installed.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#697146; Package live-config. (Tue, 01 Jan 2013 23:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 01 Jan 2013 23:27:04 GMT) Full text and rfc822 format available.

Message #10 received at 697146@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Eugenio 'g7' Paolantonio <me@medesimo.eu>, 697146@bugs.debian.org
Subject: Re: Bug#697146: xserver-xorg script forces vboxvideo even if virtualbox guest additions are not installed
Date: Wed, 2 Jan 2013 00:22:31 +0100
[Message part 1 (text/plain, inline)]
On Wed, Jan  2, 2013 at 00:14:17 +0100, Eugenio 'g7' Paolantonio wrote:

> Package: live-config
> Version: 3.0.15-1
> Tags: patch
> 
> The xserver-xorg script is forcing the 'vboxvideo' driver on virtualbox
> even if the guest additions (virtualbox-guest-x11 package) are not
> installed. This leads to X not starting on live systems without that
> package.
> 
> The attached simple patch should resolve the issue (still not tested, I
> will do in the coming hours).
> 
This is horribly wrong.  You're poking dpkg-internal paths with some
assumptions about which package contains the driver, for something which
seems entirely unnecessary because you could just let Xorg do its
driver-selection job.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#697146; Package live-config. (Tue, 01 Jan 2013 23:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugenio 'g7' Paolantonio <me@medesimo.eu>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 01 Jan 2013 23:45:09 GMT) Full text and rfc822 format available.

Message #15 received at 697146@bugs.debian.org (full text, mbox):

From: Eugenio 'g7' Paolantonio <me@medesimo.eu>
To: Julien Cristau <jcristau@debian.org>
Cc: 697146@bugs.debian.org
Subject: Re: Bug#697146: xserver-xorg script forces vboxvideo even if virtualbox guest additions are not installed
Date: Wed, 02 Jan 2013 00:41:48 +0100
Il 02/01/2013 00:22, Julien Cristau ha scritto:
> On Wed, Jan  2, 2013 at 00:14:17 +0100, Eugenio 'g7' Paolantonio wrote:
> 
>> Package: live-config
>> Version: 3.0.15-1
>> Tags: patch
>>
>> The xserver-xorg script is forcing the 'vboxvideo' driver on virtualbox
>> even if the guest additions (virtualbox-guest-x11 package) are not
>> installed. This leads to X not starting on live systems without that
>> package.
>>
>> The attached simple patch should resolve the issue (still not tested, I
>> will do in the coming hours).
>>
> This is horribly wrong.  You're poking dpkg-internal paths with some
> assumptions about which package contains the driver, for something which
> seems entirely unnecessary because you could just let Xorg do its
> driver-selection job.
> 
> Cheers,
> Julien

The same script is "poking dpkg-internal paths" several lines before to
check for the xserver-xorg package.
The vboxvideo driver is contained into the virtualbox-guest-x11 package.

Xorg does not do its driver-selection job because the driver (via a file
in /etc/X11/xorg.conf.d) is forced, so when X does not find it, it exits.


Regards,
Eugenio


-- 
.: Eugenio Paolantonio - Semplice Linux developer :.

http://semplice-linux.org
http://medesimo.eu

Twitter: @eugenio_g7 - Homepage: http://me.medesimo.eu



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#697146; Package live-config. (Wed, 02 Jan 2013 00:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 02 Jan 2013 00:09:06 GMT) Full text and rfc822 format available.

Message #20 received at 697146@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@debian.org>
To: Eugenio 'g7' Paolantonio <me@medesimo.eu>, 697146@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#697146: xserver-xorg script forces vboxvideo even if virtualbox guest additions are not installed
Date: Tue, 01 Jan 2013 20:05:15 -0400
On 01/01/13 07:41 PM, Eugenio 'g7' Paolantonio wrote:
> The same script is "poking dpkg-internal paths" several lines before to
> check for the xserver-xorg package.
> The vboxvideo driver is contained into the virtualbox-guest-x11 package.
> 
> Xorg does not do its driver-selection job because the driver (via a file
> in /etc/X11/xorg.conf.d) is forced, so when X does not find it, it exits.

See the live-config man page. So far as I can see, it only does this if
you use the xorg-driver boot parameter. By default, Xorg *is* allowed to
do its job. If xorg-driver is set by the user and it's blowing up, I
consider that user error.

Ben




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#697146; Package live-config. (Wed, 02 Jan 2013 00:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugenio 'g7' Paolantonio <me@medesimo.eu>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 02 Jan 2013 00:27:03 GMT) Full text and rfc822 format available.

Message #25 received at 697146@bugs.debian.org (full text, mbox):

From: Eugenio 'g7' Paolantonio <me@medesimo.eu>
To: Ben Armstrong <synrg@debian.org>
Cc: 697146@bugs.debian.org, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#697146: xserver-xorg script forces vboxvideo even if virtualbox guest additions are not installed
Date: Wed, 02 Jan 2013 01:24:15 +0100
Il 02/01/2013 01:05, Ben Armstrong ha scritto:
> On 01/01/13 07:41 PM, Eugenio 'g7' Paolantonio wrote:
>> The same script is "poking dpkg-internal paths" several lines before to
>> check for the xserver-xorg package.
>> The vboxvideo driver is contained into the virtualbox-guest-x11 package.
>>
>> Xorg does not do its driver-selection job because the driver (via a file
>> in /etc/X11/xorg.conf.d) is forced, so when X does not find it, it exits.
> 
> See the live-config man page. So far as I can see, it only does this if
> you use the xorg-driver boot parameter. By default, Xorg *is* allowed to
> do its job. If xorg-driver is set by the user and it's blowing up, I
> consider that user error.
> 
> Ben
> 
The "autodetecting" mentioned into the live-config man page refers to
the xserver-xorg script and not Xorg itself.

If the xorg-driver boot parameter is blank, the script tries to detect
the driver by looking at the PCI ID of the graphic card, see the code ([0]).

When it finds the PCI ID of the vbox graphic card, it wrongly assumes
that the vboxvideo driver is installed, which it may not be true.

Then it creates (or an already created configuration file is copied) a
file in /etc/X11/xorg.conf.d which basically forces X to load that driver.

If the package containing vboxvideo is not installed, obviously X does
exit because the driver listed into the configuration file is not installed.


Regards,
Eugenio

[0]
http://live.debian.net/gitweb/?p=live-config.git;a=blob_plain;f=scripts/config/1150-xserver-xorg;hb=266f31875df7eec8b4f4002f18ceaaf43c1f42b0

-- 
.: Eugenio Paolantonio - Semplice Linux developer :.

http://semplice-linux.org
http://medesimo.eu

Twitter: @eugenio_g7 - Homepage: http://me.medesimo.eu



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#697146; Package live-config. (Wed, 02 Jan 2013 01:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 02 Jan 2013 01:15:03 GMT) Full text and rfc822 format available.

Message #30 received at 697146@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@debian.org>
To: Eugenio 'g7' Paolantonio <me@medesimo.eu>, 697146@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#697146: xserver-xorg script forces vboxvideo even if virtualbox guest additions are not installed
Date: Tue, 01 Jan 2013 21:11:44 -0400
On 01/01/13 08:24 PM, Eugenio 'g7' Paolantonio wrote:
> The "autodetecting" mentioned into the live-config man page refers to
> the xserver-xorg script and not Xorg itself.

OK. Got it now.

> If the xorg-driver boot parameter is blank, the script tries to detect
> the driver by looking at the PCI ID of the graphic card, see the code ([0]).

Yup.

> When it finds the PCI ID of the vbox graphic card, it wrongly assumes
> that the vboxvideo driver is installed, which it may not be true.
> 
> Then it creates (or an already created configuration file is copied) a
> file in /etc/X11/xorg.conf.d which basically forces X to load that driver.

Not sure how Xorg would automatically handle that for fglrx and nvidia.
I always thought for those cases you needed to manually intervene, or
else the free drivers would be used instead. So I gather this code has
something to do with that.

> If the package containing vboxvideo is not installed, obviously X does
> exit because the driver listed into the configuration file is not installed.

I see.

Ben



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#697146; Package live-config. (Wed, 02 Jan 2013 07:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 02 Jan 2013 07:39:12 GMT) Full text and rfc822 format available.

Message #35 received at 697146@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Eugenio 'g7' Paolantonio <me@medesimo.eu>
Cc: 697146@bugs.debian.org
Subject: Re: Bug#697146: xserver-xorg script forces vboxvideo even if virtualbox guest additions are not installed
Date: Wed, 02 Jan 2013 08:25:41 +0100
tag 697146 pending
thanks

On 01/02/2013 12:14 AM, Eugenio 'g7' Paolantonio wrote:
> The attached simple patch should resolve the issue

yes, thanks, applied.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 02 Jan 2013 07:39:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#697146; Package live-config. (Wed, 02 Jan 2013 09:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 02 Jan 2013 09:45:08 GMT) Full text and rfc822 format available.

Message #42 received at 697146@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Ben Armstrong <synrg@debian.org>
Cc: Eugenio 'g7' Paolantonio <me@medesimo.eu>, 697146@bugs.debian.org
Subject: Re: Bug#697146: xserver-xorg script forces vboxvideo even if virtualbox guest additions are not installed
Date: Wed, 2 Jan 2013 10:41:43 +0100
[Message part 1 (text/plain, inline)]
On Tue, Jan  1, 2013 at 21:11:44 -0400, Ben Armstrong wrote:

> > When it finds the PCI ID of the vbox graphic card, it wrongly assumes
> > that the vboxvideo driver is installed, which it may not be true.
> > 
> > Then it creates (or an already created configuration file is copied) a
> > file in /etc/X11/xorg.conf.d which basically forces X to load that driver.
> 
> Not sure how Xorg would automatically handle that for fglrx and nvidia.
> I always thought for those cases you needed to manually intervene, or
> else the free drivers would be used instead. So I gather this code has
> something to do with that.
> 
That's correct.  However for other drivers you'd better leave the config
empty.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Wed, 02 Jan 2013 11:36:03 GMT) Full text and rfc822 format available.

Notification sent to Eugenio 'g7' Paolantonio <me@medesimo.eu>:
Bug acknowledged by developer. (Wed, 02 Jan 2013 11:36:03 GMT) Full text and rfc822 format available.

Message #47 received at 697146-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 697146-close@bugs.debian.org
Subject: Bug#697146: fixed in live-config 3.0.16-1
Date: Wed, 02 Jan 2013 11:32:33 +0000
Source: live-config
Source-Version: 3.0.16-1

We believe that the bug you reported is fixed in the latest version of
live-config, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 697146@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 02 Jan 2013 12:13:55 +0100
Source: live-config
Binary: live-config live-config-doc live-config-systemd live-config-sysvinit live-config-upstart
Architecture: source all
Version: 3.0.16-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-config - Live System Configuration Scripts
 live-config-doc - Live System Configuration Scripts (documentation)
 live-config-systemd - Live System Configuration Scripts (systemd backend)
 live-config-sysvinit - Live System Configuration Scripts (sysvinit backend)
 live-config-upstart - Live System Configuration Scripts (upstart backend)
Closes: 697146
Changes: 
 live-config (3.0.16-1) unstable; urgency=low
 .
   * Correcting spelling typo in manpage.
   * Updating year in all copyright notices.
   * Only set vboxvideo driver automatically in xserver-xorg script for
     virtualbox systems if virtualbox-guest-x11 is installed, thanks to
     Eugenio Paolantonio <me@medesimo.eu> (Closes: #697146).
Checksums-Sha1: 
 5ce81d6a9c3ba9759bf9acd0b923143fdcdae44c 1547 live-config_3.0.16-1.dsc
 0d04eedd56c79eb28a343f1ab6bddaefcd67772a 64104 live-config_3.0.16.orig.tar.xz
 77bf6c98dee24d7322a4dcc7dc8860a3ed9facbd 12696 live-config_3.0.16-1.debian.tar.xz
 66de56f01c8d904a4dfd257e74137f4219c306e9 25562 live-config_3.0.16-1_all.deb
 f6c61e2dfb6fc4b85243aee46cace389903d53de 49684 live-config-doc_3.0.16-1_all.deb
 f26ace271581676b201cd9bae7e2a237268a0e87 13568 live-config-systemd_3.0.16-1_all.deb
 b75e06c4043f2327b23773a93760827c362a19b4 14792 live-config-sysvinit_3.0.16-1_all.deb
 35b1d5923a1ab37326fab140860871fe3e041335 14430 live-config-upstart_3.0.16-1_all.deb
Checksums-Sha256: 
 eb592da8f448c051ff793ab860b6a7729a98700b38636afbe9aa19598b826e2a 1547 live-config_3.0.16-1.dsc
 1b0dbc29940fa3d533ab7f73d74f86ae9757c203617a272796ff5c5c683b5743 64104 live-config_3.0.16.orig.tar.xz
 da4bf3125bd73d40ee57ae31850ea87186b1a86a7296523f97867b779b2e80b8 12696 live-config_3.0.16-1.debian.tar.xz
 18425461c482f390d8f0b6a84f88bc103e10475ee68ded1215c0c065a444c1a0 25562 live-config_3.0.16-1_all.deb
 9f8e41cf0dce7c8fb931ef4be9f8e9c050dd0b5c3a687686c08ecb463b890888 49684 live-config-doc_3.0.16-1_all.deb
 8d94473b2005660306074e1af2850d76b3a2f0120dac4c0c758aabd79952438b 13568 live-config-systemd_3.0.16-1_all.deb
 8ae1234f529162d5c7d3e66d8d4e54fd89de4527ac6e75ae51fd8125bede268a 14792 live-config-sysvinit_3.0.16-1_all.deb
 a0700e1707b1efc964dddc6c1241531cd456070c96e29c17607086a0874f9dac 14430 live-config-upstart_3.0.16-1_all.deb
Files: 
 816d18d9c362e9c86ce8601b5cdd65f4 1547 misc optional live-config_3.0.16-1.dsc
 ec4458afc7f16e330ac0ee8980d7a282 64104 misc optional live-config_3.0.16.orig.tar.xz
 1473120b84ea751e70e0f52e13476162 12696 misc optional live-config_3.0.16-1.debian.tar.xz
 d8e26426f52df1e75fa27e1adae276fd 25562 misc optional live-config_3.0.16-1_all.deb
 846d563d3190c3160fa4d9e0a415d206 49684 doc optional live-config-doc_3.0.16-1_all.deb
 1af85ce0879f1a7ea8231f55fc0036b9 13568 misc optional live-config-systemd_3.0.16-1_all.deb
 08202d3effe2bdf3dedb5304a34d248c 14792 misc optional live-config-sysvinit_3.0.16-1_all.deb
 70d95c0ec53ff90b1681a382670d8492 14430 misc optional live-config-upstart_3.0.16-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlDkF8UACgkQ+C5cwEsrK56JgwCfZHeSQA3E4lzzMwSa0Bmwmfbj
OmgAoLaEDiQ63/JLWLtLWR0H36xmowZ3
=x8PN
-----END PGP SIGNATURE-----




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Wed, 02 Jan 2013 11:36:05 GMT) Full text and rfc822 format available.

Notification sent to Eugenio 'g7' Paolantonio <me@medesimo.eu>:
Bug acknowledged by developer. (Wed, 02 Jan 2013 11:36:06 GMT) Full text and rfc822 format available.

Message #52 received at 697146-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 697146-close@bugs.debian.org
Subject: Bug#697146: fixed in live-config 4.0~a10-1
Date: Wed, 02 Jan 2013 11:32:41 +0000
Source: live-config
Source-Version: 4.0~a10-1

We believe that the bug you reported is fixed in the latest version of
live-config, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 697146@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 02 Jan 2013 12:23:35 +0100
Source: live-config
Binary: live-config live-config-doc live-config-systemd live-config-sysvinit live-config-upstart
Architecture: source all
Version: 4.0~a10-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-config - Live System Configuration Scripts
 live-config-doc - Live System Configuration Scripts (documentation)
 live-config-systemd - Live System Configuration Scripts (systemd backend)
 live-config-sysvinit - Live System Configuration Scripts (sysvinit backend)
 live-config-upstart - Live System Configuration Scripts (upstart backend)
Closes: 697146
Changes: 
 live-config (4.0~a10-1) experimental; urgency=low
 .
   * Removing pre-wheezy workaround for shadow when /etc/passwd- is
     missing.
   * Replacing user-setup with live-debconfigs passwd script.
   * Updating year in all copyright notices.
   * Only set vboxvideo driver automatically in xserver-xorg script for
     virtualbox systems if virtualbox-guest-x11 is installed, thanks to
     Eugenio Paolantonio <me@medesimo.eu> (Closes: #697146).
   * Adding 3.0.16-1 changelog entries.
Checksums-Sha1: 
 c49f39b6eca2d9dc283c089397923c7eda7b663a 1554 live-config_4.0~a10-1.dsc
 3cd66ef517b9f605d89a5fc5cade30a2dc10527e 63620 live-config_4.0~a10.orig.tar.xz
 0f794633efd432976f7769a0ec22b5f35bd63e99 13072 live-config_4.0~a10-1.debian.tar.xz
 2c622045168b5de58ac8ed59083c8bf6ad9b2524 26000 live-config_4.0~a10-1_all.deb
 863eac5c7acbf47f34a1af7d6922ef1efea08e3f 49926 live-config-doc_4.0~a10-1_all.deb
 a86a9eff4442797048902d1dc8556401d5442f52 14012 live-config-systemd_4.0~a10-1_all.deb
 5a940cd25e40235c6d83f5e31ee0d962debad1ae 15244 live-config-sysvinit_4.0~a10-1_all.deb
 f4234df8fc812b6d2eca71b990e33972c56bf906 14878 live-config-upstart_4.0~a10-1_all.deb
Checksums-Sha256: 
 79b3d472aefcf5021bae01ae091d78aabb90c21f4ea18dc07b74f42619d024c4 1554 live-config_4.0~a10-1.dsc
 fb57098530afeef106f2c6d5a2efe6e6abbab0592aa25a70dc45aed5e5001506 63620 live-config_4.0~a10.orig.tar.xz
 577a35e1f402bbac1f704b1c0d3a5eb2cc0cd0c3284fdff6496314dd6a9c912b 13072 live-config_4.0~a10-1.debian.tar.xz
 8b3758424717c7e19637e25cfec339b98bdd8fec921321e8e681f4a7901f78f6 26000 live-config_4.0~a10-1_all.deb
 352ed0863855a90352289ed25105e9255b0f258eed8f4607abedb223d7dfc97a 49926 live-config-doc_4.0~a10-1_all.deb
 6cac8a346baf088bd5b8c09aaaca20603a5e5aec4e632b29f782788380284944 14012 live-config-systemd_4.0~a10-1_all.deb
 9723b66c3dc905e9f2e2a9f4b417ac6fde6e13611709af634e8e276cbe6faea1 15244 live-config-sysvinit_4.0~a10-1_all.deb
 dfcf12bd9893b4fcdd992879e1f90998b75cc18d29bcd27cd26188ec847e1b81 14878 live-config-upstart_4.0~a10-1_all.deb
Files: 
 d52eba412d2aca2d0e4afd47f4fef7c8 1554 misc optional live-config_4.0~a10-1.dsc
 f77a4cce48ae24b081c8d5d839f3b3fb 63620 misc optional live-config_4.0~a10.orig.tar.xz
 431ee9bb0f6febc353432a3a136d39ea 13072 misc optional live-config_4.0~a10-1.debian.tar.xz
 eb9618ad2e1479f2c4a9c3a58373dc19 26000 misc optional live-config_4.0~a10-1_all.deb
 02f28686c03444329b934d275d9be2fa 49926 doc optional live-config-doc_4.0~a10-1_all.deb
 c27fbfee8abab530424c33bd661fb07f 14012 misc optional live-config-systemd_4.0~a10-1_all.deb
 c698bb9d3031abf611c76b289b52ff09 15244 misc optional live-config-sysvinit_4.0~a10-1_all.deb
 83a36672ced268b3e26dea7324ea6264 14878 misc optional live-config-upstart_4.0~a10-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlDkGQUACgkQ+C5cwEsrK5529QCfQ63S9tcNHT137QU6bYN7XkoH
wSAAnRNq0agw/C6uOIrRmhAV6IGEl186
=fZy3
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 31 Jan 2013 07:26:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:47:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.